Bug 1029303 - Gear cost information on My Applications page will not be updated unless logout and login again after creating application using rhc or restapi.
Gear cost information on My Applications page will not be updated unless logo...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Management Console (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Jordan Liggitt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 01:21 EST by Yujie Zhang
Modified: 2015-05-14 21:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:29:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2013-11-12 01:21:49 EST
Description of problem:

Created application from rhc and restapi, the gear cost informaion like "using 8 of 30" on My Applications page will not be updated unless logout and login again or creating/deleting application from website.

Version-Release number of selected component (if applicable):
INT(devenv_4019)

How reproducible:
always

Steps to Reproduce:
1.Create application from rhc or restapi
2.Check the gear cost information on My Applications page
3.

Actual results:

The gear cost information will not be update unless logout and login again or creating/deleting applications from website.

Expected results:

Gear cost information should be updated automaticly after creating application from rhc or restapi.

Additional info:

Create/Delete app in another browser will also cause this problem.
Comment 1 Jordan Liggitt 2013-11-12 10:57:34 EST
Will merge in https://github.com/openshift/origin-server/pull/4170
Comment 2 openshift-github-bot 2013-11-12 14:56:53 EST
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/62040c0dad85e3bcffc6960e79b7a580b5e107ed
Fix Bug 1029303: Refresh user capabilities on apps page
Comment 3 Yujie Zhang 2013-11-13 00:57:16 EST
Tested on devenv_4027, the gear cost information on my applications page can be updated by refreshing the page after creating applications using rhc or from restapi, so verify this bug, thanks.

Note You need to log in before you can comment on or make changes to this bug.